Funk / Soul, Rock
The CarArctic Monkeys
Worldwide 2022 (Domino WIGLP455X)Винил. Пластинка; LP; Альбом; Лимитированное издание
Rock
Wet LegWet Leg
USA & Europe 2022 (Domino WIGLP496X)Винил. Пластинка; LP; Альбом; Лимитированное издание
Blood BankBon Iver
US 2020 (Jagjaguwar JAG343)Винил. Пластинка; 12"; 33 ⅓ RPM; EP
The Recordboygenius
Europe 2023 (Interscope Records 00602455067432)Винил. Пластинка; LP; Альбом; Лимитированное издание
Rat Saw GodWednesday
US 2023 (Dead Oceans DOC328)Винил. Пластинка; LP; Альбом; Лимитированное издание
Blue Sky NoiseCirca Survive
US 2018 (Hopeless Records HR2475-1)Винил. Пластинка; LP; Альбом; Лимитированное издание
Steady Diet Of NothingFugazi
US 2023 (Dischord Records DIS 60v)Винил. Пластинка; LP; Альбом; Лимитированное издание
There NearDinosaur Jr.
US 2026 (Jagjaguwar JAG480)Винил. Пластинка; LP; Альбом; Лимитированное издание
Life In Your Glass WorldCitiZen
US 2021 (Run For Cover Records (2) RFC212)Винил. Пластинка; LP; Альбом; Лимитированное издание
Puberty 2Mitski
US 2023 (Dead Oceans DOC123)Винил. Пластинка; LP; Альбом; Лимитированное издание
Trials & ErrorsMagnolia Electric Co.
US 2013 (Secretly Canadian SC98)Винил. Пластинка; LP; Альбом; Лимитированное издание
The Ugly OrganCursive
US 2025 (Run For Cover Records (2) RFC307)Винил. Пластинка; LP; Альбом; Лимитированное издание
Calling The DogsCitiZen
US 2023 (Run For Cover Records (2) RFC264)Винил. Пластинка; LP; Альбом; Лимитированное издание
GutteringMJ Lenderman, Wednesday
US 2025 (Julia's War JWR001)Винил. Пластинка; LP; Альбом; Лимитированное издание
The New RomancePretty Girls Make Graves
US 2023 (Matador OLE 583LP)Винил. Пластинка; LP; Альбом; Лимитированное издание
Death Of A CheerleaderPom Pom Squad
2021 (City Slang SLANG50352LP)Винил. Пластинка; LP; Альбом; Лимитированное издание
Three FuturesTorres
UK & Europe 2017 (4AD 4AD0022LP)Винил. Пластинка; Альбом; Лимитированное издание; LP
The Bed Is In The OceanKarate
US 2022 (Numero Group NUM905)Винил. Пластинка; LP; Альбом; Лимитированное издание
The Music Of HeatmiserHeatmiser
USA & Europe 2023 (Third Man Records TMR-899)Винил. Пластинка; LP; Сборник; Лимитированное издание
Too RealFontaines D.C.
UK & Ireland 2018 (Partisan Records PTKF1131-6)Винил. Пластинка; 7"; Сингл; Лимитированное издание
Pop, Rock
EP3: Sleep With MeBirdland
UK 1990 (Lazy Records lazy 17L)Винил. Пластинка; 7"; 33 ⅓ RPM; EP
Chutes Too NarrowThe Shins
UK & Europe 2023 (Sub Pop SP 1570)Винил. Пластинка; LP; Альбом; Лимитированное издание
CharmerTigers Jaw
US 2022 (Run For Cover Records (2) RFC: 104)Винил. Пластинка; LP; Альбом; Лимитированное издание
Dead From The Waist DownCatatonia
UK 1999 (Blanco Y Negro NEG 115)Винил. Пластинка; 7"; 45 RPM; Сингл
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.